#ifndef INDEXABLEDATA_HPP_INCLUDED
#define INDEXABLEDATA_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <cstdint>

namespace Internal
{
    class IndexableData : public Object
    {
        public:
            IndexableData();
            IndexableData(const void* Obj);
            IndexableData(const IndexableData& IndexableData);
            static Class GetClass();

            std::vector<std::vector<Object>> GetChildren() const;
            std::vector<Object> GetChildren(std::int32_t I) const;
            Object GetChildren(std::int32_t I, std::int32_t II) const;
    };
}

#endif // INDEXABLEDATA_HPP_INCLUDED
